cs_mesh_t Struct Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
cs_mesh_t Struct Reference

`#include <cs_mesh.h>`

Collaboration diagram for cs_mesh_t:

## Data Fields
cs_lnum_t | dim
cs_lnum_t | domain_num
cs_lnum_t | n_domains
cs_lnum_t | n_cells
cs_lnum_t | n_i_faces
cs_lnum_t | n_b_faces
cs_lnum_t | n_vertices
cs_lnum_t | i_face_vtx_connect_size
cs_lnum_t | b_face_vtx_connect_size
cs_real_t * | vtx_coord
cs_lnum_t * | i_face_cells
cs_lnum_t * | b_face_cells
cs_lnum_t * | i_face_vtx_idx
cs_lnum_t * | i_face_vtx_lst
cs_lnum_t * | b_face_vtx_idx
cs_lnum_t * | b_face_vtx_lst
cs_gnum_t | n_g_cells
cs_gnum_t | n_g_i_faces
cs_gnum_t | n_g_b_faces
cs_gnum_t | n_g_vertices
cs_gnum_t * | global_cell_num
cs_gnum_t * | global_i_face_num
cs_gnum_t * | global_b_face_num
cs_gnum_t * | global_vtx_num
int | n_init_perio
int | n_transforms
int | have_rotation_perio
fvm_periodicity_t * | periodicity
cs_halo_type_t | halo_type
cs_lnum_t | n_cells_with_ghosts
cs_lnum_t | n_ghost_cells
cs_interface_set_t * | vtx_interfaces
cs_halo_t * | halo
cs_numbering_t * | i_face_numbering
cs_numbering_t * | b_face_numbering
cs_lnum_t | n_b_cells
cs_lnum_t * | b_cells
cs_lnum_t * | cell_cells_idx
cs_lnum_t * | cell_cells_lst
cs_lnum_t * | gcell_vtx_idx
cs_lnum_t * | gcell_vtx_lst
cs_lnum_t | n_groups
cs_lnum_t * | group_idx
char * | group_lst
cs_lnum_t | n_families
cs_lnum_t | n_max_family_items
cs_lnum_t * | family_item
cs_lnum_t * | cell_family
cs_lnum_t * | i_face_family
cs_lnum_t * | b_face_family
fvm_group_class_set_t * | class_defs
fvm_selector_t * | select_cells
fvm_selector_t * | select_i_faces
fvm_selector_t * | select_b_faces
cs_gnum_t | n_g_free_faces
int | verbosity
int | modified

## Field Documentation

cs_lnum_t* b_cells

cs_lnum_t* b_face_cells

cs_lnum_t* b_face_family

cs_numbering_t* b_face_numbering

cs_lnum_t b_face_vtx_connect_size

cs_lnum_t* b_face_vtx_idx

cs_lnum_t* b_face_vtx_lst

cs_lnum_t* cell_cells_idx

cs_lnum_t* cell_cells_lst

cs_lnum_t* cell_family

fvm_group_class_set_t* class_defs

cs_lnum_t dim

cs_lnum_t domain_num

cs_lnum_t* family_item

cs_lnum_t* gcell_vtx_idx

cs_lnum_t* gcell_vtx_lst

cs_gnum_t* global_b_face_num

cs_gnum_t* global_cell_num

cs_gnum_t* global_i_face_num

cs_gnum_t* global_vtx_num

cs_lnum_t* group_idx

char* group_lst

cs_halo_t* halo

cs_halo_type_t halo_type

int have_rotation_perio

cs_lnum_t* i_face_cells

cs_lnum_t* i_face_family

cs_numbering_t* i_face_numbering

cs_lnum_t i_face_vtx_connect_size

cs_lnum_t* i_face_vtx_idx

cs_lnum_t* i_face_vtx_lst

int modified

cs_lnum_t n_b_cells

cs_lnum_t n_b_faces

cs_lnum_t n_cells

cs_lnum_t n_cells_with_ghosts

cs_lnum_t n_domains

cs_lnum_t n_families

cs_gnum_t n_g_b_faces

cs_gnum_t n_g_cells

cs_gnum_t n_g_free_faces

cs_gnum_t n_g_i_faces

cs_gnum_t n_g_vertices

cs_lnum_t n_ghost_cells

cs_lnum_t n_groups

cs_lnum_t n_i_faces

int n_init_perio

cs_lnum_t n_max_family_items

int n_transforms

cs_lnum_t n_vertices

fvm_periodicity_t* periodicity

fvm_selector_t* select_b_faces

fvm_selector_t* select_cells

fvm_selector_t* select_i_faces

int verbosity

cs_real_t* vtx_coord

cs_interface_set_t* vtx_interfaces

The documentation for this struct was generated from the following file:

- src/mesh/cs_mesh.h